1. Pay-In
Mozarto - The Payments Orchestration Platform
  • 1. Introduction
  • 2. Quick Start
  • 3. Authentication
  • 4. Webhook Setup
  • 5. Errors
  • 6. Redirect flow
    • Pay-In Flow
    • Pay-Out Flow
  • 7. Payment Providers (PSPs)
    • Overview
    • Brite
    • Cleo
    • Flexepin
    • ForumPay
    • Gigadat
    • Neosurf
    • PayOne
    • Trust Payments
    • Worldpay
    • Emerchantpay
  • 8. Redirect Flow APIs
    • Redirect Flow APIs - overview
    • Pay-In
      • WorldPay
        POST
      • Forumpay
        POST
      • Payone
        POST
      • Gigadat
        POST
      • Flexepin
        POST
      • Trust
        POST
    • Pay-Out
      • Forumpay
      • Payone
      • Gigadat withdraw ETO
      • Gigadat withdraw ACH
    • Webhook
      • Payone status webhook
  • Schemas
    • TransactionData
  1. Pay-In

Trust

Prod Env
https://backend.app.mozarto.io
Prod Env
https://backend.app.mozarto.io
POST
/v1/api/mozarto/cashier

Request

Header Params

Body Params application/json

Example
{
      "pspType": "TRUST",
      "type": "PAYIN",
      "currency": "EUR",
      "baseamount": 100,
      "merchantReference": "ORDER-REF-001",
      "userId": "64a1f2b3c4d5e6f7a8b9c0d2",
      "phone": "+447911123456"
    }

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.app.mozarto.io/v1/api/mozarto/cashier' \
--header 'Authorization: Bearer {{COMPANY_TOKEN}}' \
--header 'x-user-token: Bearer {{USER_TOKEN}}' \
--header 'Content-Type: application/json' \
--data '{
      "pspType": "TRUST",
      "type": "PAYIN",
      "currency": "EUR",
      "baseamount": 100,
      "merchantReference": "ORDER-REF-001",
      "userId": "64a1f2b3c4d5e6f7a8b9c0d2",
      "phone": "+447911123456"
    }'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
  "status": "success",
  "message": "Successfully",
  "isSuccess": true,
  "data": {
    "paymentUrl": "{{HOST}}/v1/transactions/trust/redirect/64a1f2b3c4d5e6f7a8b9c0d1?token=<redirect-token>",
    "transactionId": "64a1f2b3c4d5e6f7a8b9c0d1",
    "merchantReference": "ORDER-REF-001",
    "amount": 100,
    "transaction_status": "Pending"
  }
}
🟠400
🔴500
Modified at 2026-06-15 11:01:00
Previous
Flexepin
Next
Forumpay
Built with